************************************************
* Wed Jul 26 13:00:33 CDT 1989
*
************************************************
* BOOT
*
* BOOTLOADER FIRMWARE FOR 68HC711D3
*
* REVISION A -
* FIX BUG IN "PROGRAM" ROUTINE WHICH THE FIRST BYTE
* PROGRAMMED INTO THE EPROM WAS NOT TRANSMITTED FOR
* VERIFY.
* ALSO, ADDED TO "PROGRAM" ROUTINE A SKIP OF BYTES
* WHICH ARE ALREADY PROGRAMMED TO THE VALUE DESIRED.
*
* THIS NEW VERSION ALLOWS VARIABLE LENGTH DOWNLOAD
* BY QUITTING RECEPTION OF CHARACTERS WHEN AN IDLE
* OF AT LEAST FOUR WORD TIMES OCCURS
*
* EQUATES (INDEX OFFSET NOT NEEDED)
*
*
PORTD	EQU	$08
DDRD	EQU	$09
TCNT	EQU	$0E
TOC1	EQU	$16
TFLG1	EQU	$23
SPCR	EQU	$28	(FOR DWOM BIT)
BAUD	EQU	$2B
SCCR1	EQU	$2C
SCCR2	EQU	$2D
SCSR	EQU	$2E
SCDAT	EQU	$2F
PPROG	EQU	$3B
TEST1	EQU	$3E
CONFIG	EQU	$3F
*
* BIT EQUATES FOR TFLG1
OC1F	EQU	$80
*
* BIT EQUATES FOR PPROG
LAT	EQU	$20
EPGM	EQU	$01
*
* MORE EQUATES
*
EPRMSTR EQU	$F000		START OF EPROM
EPRMEND EQU	$FFFF		END OF EPROM
*
RAMSTR	EQU	$0040
RAMEND	EQU	$00FF
*
DELAYS	EQU	3504		DELAY AT SLOW BAUD
DELAYF	EQU	 539		DELAY AT FAST BAUD
*
PROGDEL EQU	8400		4 mSEC PROGRAMMING DELAY
*				AT 2.1MHz
*
********
* THIS BOOTSTRAP PROGRAM ALLOWS THE USER TO
* DOWNLOAD A PROGRAM OF 0 - 192 BYTES.
* THE PROGRAM MUST START AT $0040.
* EACH BYTE OF THE PROGRAM IS RECEIVED BY THE SCI.
* THE FIRST BYTE ESTABLISHES BAUD RATE.
* THEN THE PROGRAM IS DOWNLOADED STARTING WITH
* THE $0040 BYTE AND WORKING UP TOWARD THE $00FF
* A DELAY